/* GENERAL */

:root {
    --color-gray: #706C61;
    --color-blue: #37718E;
    --color-blue-light: #91b7c7;
    --color-blue-dark: #002427;
    --color-yellow: #ffb400;
    --color-yellow-dark: #996c02;
    --color-white: #ffffff;
    --color-text: #141414;
}

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
}

img {
    width: 100%;
}

button:focus {
    outline: none;
}

@media (max-width: 1199.98px) {
    html {
        font-size: 56.25%;
    }
}

@media (max-width: 767.98px) {
    html {
        font-size: 50%;
    }
}

body {
    font-size: 1.7rem;
    color: var(--color-text);
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0.8)), 
                        linear-gradient(to bottom, rgba(175, 241, 250, 0.5), rgba(172, 172, 172, 0.6)), 
                        url(/img/back.jpg);
    background-size: 100% auto;
}


p {
    text-indent: 2.3rem;
}


/* HEADER */
.navbar {
    padding: 1.2rem 0;
}

.navbar-brand {
    padding: 0;
}

.navbar-brand-img {
    height: 6rem;
}

.nav-item {
    padding: .6rem 1.6rem;
}

.nav-item:not(:last-child) {
    border-right: 1px solid rgba(158, 158, 158, 0.2);
}

.navbar-light .navbar-nav .nav-link,
.navbar-nav .nav-link {
    position: relative;
    padding: .8rem 0;
    width: 15rem;
    box-shadow: 0 .4rem .8rem rgba(0, 0, 0, .1);
    background-color: var(--color-blue);
    color: var(--color-white);
    font-weight: 500;
    font-size: 1.5rem;
    text-align: center;
    transition: all .3s;
}

.navbar-light .navbar-nav .nav-link:hover,
.navbar-nav .nav-link:hover {
    background-color: var(--color-gray);
    color: var(--color-white);
    transform: translateY(-2px);
    box-shadow: 0 .4rem .6rem rgba(0, 0, 0, .15);
}


@media (max-width: 991.98px) {
    .navbar-toggler {
        border: none;
    }
    .navbar-toggler-icon {
        width: 2.5rem;
        height: 3rem;
    }
    .navbar-light .navbar-toggler-icon {
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='rgba(0, 207, 220, 0.8)' stroke-linecap='round' stroke-miterlimit='10' stroke-width='3' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
    }

    .nav-item {
        padding: .6rem 0;
    }
    
    .nav-item:not(:last-child) {
        border-right: none;
    }
    .navbar-light .navbar-nav .nav-link {
        width: 60%;
        margin: 0 auto;
    }
}

@media (max-width: 768px) {
    .navbar-brand-img {
        height: 5rem;
    }

}

@media (max-width: 575.98px) {
    .nav-item {
        padding: .3rem 0;
    }

    .navbar-light .navbar-nav .nav-link {
        width: 100%;
 }
}


/* MOTTO */

.motto-box {
    position: relative;
}

.motto-img {
    width: 100%;
    box-shadow: 0 .6rem 1.2rem rgba(0, 0, 0, .2);
}

.btn-more {
    position: absolute;
    padding: .6rem 1.6rem;
    bottom: 20%;
    left: 26%;
    z-index: 100;
    background-color: var(--color-blue);
    color: var(--color-white);
    transition: all .3s;
    font-weight: 500;
}

.btn-more:hover {
    background-color: var(--color-yellow);
    text-decoration: none;
    color: var(--color-gray-dark);
}

@media (max-width: 575.98px) {
    .motto-box {
        padding: 0;
        overflow-x: hidden;
    }

    .motto-img {
        transform: scale(1.3);
        transform-origin: left;
    }

    .btn-more {
        padding: .3rem .8rem;
        bottom: 10%;
        right: 5%;
        left: auto;
    }
}


/* SECTION */

.section {
    padding: 0 8rem;
    padding-top: 4rem;
    text-align: center;
}

.decor-figure {
    position: relative;
}

.decor-figure::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 10rem;
    background-color: var(--color-blue);
    clip-path: polygon(0% 0%, 100% 0%, 100% 10%, 60% 10%, 50% 50%, 40% 10%, 0% 10%);
}

.decor-figure:nth-child(odd)::before {
    background-color: var(--color-gray);
}

@media (max-width: 991.98px) {
    .section {
        padding: 0 4rem;
    }
}

@media (max-width: 575.98px) {
    .decor-figure::before {
        height: 6rem;
    }
    .section {
        padding: 0 2.6rem;
    }
}


/* ABOUT US SECTION */

.about-us-container .decor-figure {
    padding-top: 0;
}

.about-us-container .decor-figure::before {
    z-index: 20;
}

.section.about-us {
    padding-top: 6rem;
    padding-bottom: 1rem;
    position: relative;
    z-index: 10;
}

.section.about-us::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 30rem;
    background-color: var(--color-gray);
    clip-path: polygon(10% 0%, 90% 0%, 50% 50%);
    opacity: .4;
    z-index: -1;
}

.heading-primary {
    text-align: center;
    margin-bottom: 1rem;
}

@media (max-width: 575.98px) {
    .section.about-us::before {
        height: 20rem;
    }

    .section.about-us {
        padding-top: 4rem;
    }

    .heading-primary {
        font-size: 2.1rem;
    }
}


/* SECTION PRODUCTS */

.heading-secondary {
    padding-top: 7rem;
}

.product {
    margin-bottom: 5rem;
}

.product img {
    width: 80%;
    display: block;
    margin: 0 auto;
}

.product img.mouse-img {
    width: 50%;
}

.info-link:hover {
    text-decoration: none;
}

.product-text {
    margin-top: 1.2rem;
}

@media (max-width: 575.98px) {
    .heading-secondary {
        padding-top: 1.8rem;
    }
    .product img.mouse-img {
        width: 100%;
    }
}


/* SECTION OUR PARTNERS */
.partners-list {
    padding: 5rem;
    background-image: linear-gradient(to right, rgba(72, 202, 254, 0.4), rgba(129, 131, 131, 0.4)), url(../img/partners/partners-back.jpg);
    background-position: center;
    background-size: cover;
    list-style-type: none;
    box-shadow: 0 .4rem .8rem rgba(0, 0, 0, .1);
}

.partners-item {
    flex: 50% 0 0;
    margin-bottom: 2.4rem;
}

.partners-img {
    width: 50%;
    display: block;
    transition: all .3s;
}

.partners-img:hover {
    transform: scale(1.08);
}

.partners-img.neo {
    width: 35%;
}

@media (max-width: 575.98px) {
    .heading-secondary {
        padding-top: 5rem;
    }
    .section.partners {
        padding: 0;
    }
    .partners-list {
        padding: 2rem;
    }
    .partners-img {
        width: 90%;
    }
    .partners-img.neo {
        width: 70%;
    }
}


/* SECTION CONTACTS */

.section-heading {
    display: inline-block;
    padding: 1.2rem 2.4rem;
    margin-bottom: 2rem;
    text-align: center;
    background-color: var(--color-gray);
    color: var(--color-white);
    font-size: 2.3rem;
}

.blue {
    background-color: var(--color-blue) !important;
    color: var(--color-white) !important;
}

.contacts-form-input {
    height: 3.4rem;
}

.contacts-form-input,
.contacts-form-textarea {
    padding: .6rem 1.6rem;
    border: none;
    background-color: var(--color-white);
    font-size: 1.4rem;
    font-family: inherit;
}

.contacts-form-textarea {
    margin-bottom: 1.2rem;
}

.contacts-form-input:focus,
.contacts-form-textarea:focus {
    border: none;
    border-bottom: 3px solid #109e1c;
    color: var(--color-grey-dark);
    -webkit-box-shadow: none;
    box-shadow: none;
}

.contacts-form-input:focus:invalid {
    border-bottom: 3px solid #ce0210;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 30px #ffffff inset !important;
}

.contacts-form-label {
    padding-left: 1rem;
    margin-top: .6rem;
    margin-bottom: .2rem;
    font-size: 1.5rem;
    font-weight: 600;
    -webkit-transition: all .3;
    -o-transition: all .3;
    transition: all .3;
}

.contacts-form-notification {
    text-align: right;
    font-size: 1.4rem;
    font-weight: 600;
    color: #ce0210;
}

.form-check-input {
    margin-top: 0;
    margin-left: .5rem;
}

.form-check-label {
    font-size: 1.5rem;
    margin-left: 2.5rem;
}

.contacts-btn {
    padding: .6rem 2rem;
    border: none;
    font-weight: 500;
    font-size: 1.6rem;
    background-color: var(--color-yellow);
    -webkit-transition: all .3s;
    -o-transition: all .3s;
    transition: all .3s;
}

.contacts-btn:focus {
    outline: none;
}

.contacts-btn:hover {
    outline: none;
    background-color: var(--color-blue);
    color: #ffffff;
}

.contacts-info {
    margin-top: 2rem;
}

.contacts-cart {
    margin-top: 2.8rem;
}

.success-box {
    position: fixed;
    padding: 2rem 3rem;
    top: 40%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%) scale(0);
    -ms-transform: translate(-50%, -50%) scale(0);
    transform: translate(-50%, -50%) scale(0);
    height: 20rem;
    width: 40rem;
    border-bottom: 2.4rem solid #338fc2;
    border-right: 2.4rem solid var(--color-blue);
    background-color: rgba(255, 255, 255, .9);
    -webkit-box-shadow: 0 .8rem 1.6rem rgba(0, 0, 0, .2);
    box-shadow: 0 .8rem 1.6rem rgba(0, 0, 0, .2);
    color: var(--color-blue);
    font-weight: 700;
    font-size: 3rem;
    opacity: 0;
    visibility: hidden;
    -webkit-transition: all .3s;
    -o-transition: all .3s;
    transition: all .3s
}

.show-success {
    opacity: 1;
    visibility: visible;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}


/* FOOTER */

.footer {
    margin-top: 10rem;
}

.footer .navbar-brand-img-footer {
    display: none;
}


@media (max-width: 991.98px) {
    footer .nav-item:not(:last-child) {
        border-right: 2px solid var(--color-white);
    }
    footer .nav-link {
        width: 12rem;
    }
}

@media (max-width: 575.98px) {
    .contacts-cart {
        width: 100%;
        height: 30rem;
    }
    .footer {
        margin-top: 3rem;
    }
    .footer .navbar-nav {
        margin-left: 0 !important;
        width: 100%;
    }
    .footer .navbar-brand {
        margin-right: 0;
        margin-bottom: 1.6rem;
    }

    .footer .nav-item {
        flex: 49% 0 0;
    }
    footer .nav-item:not(:last-child) {
        border-right: none;
    }
    .footer .nav-link {
        width: 100%;
        padding: 1rem 1.4rem;
    }
}


/* NAVIGATION BUTTONS */

.btn-circle {
    display: none;
    position: fixed;
    z-index: 99;
    border: none;
    border-radius: 100px;
    -webkit-transition: all .2s;
    -o-transition: all .2s;
    transition: all .2s;
}

.btn-circle.btn-up {
    bottom: 3rem;
    right: 2.1rem;
    width: 5.6rem;
    height: 5.6rem;
    background-color: var(--color-gray);
}

.btn-circle.btn-side-nav {
    top: 2rem;
    left: 2.1rem;
    width: 6.6rem;
    height: 6.6rem;
    background-color: var(--color-blue);
}

.btn-circle:hover {
    -webkit-box-shadow: .1rem .2rem .8rem rgba(0, 0, 0, .2);
    box-shadow: .1rem .2rem .8rem rgba(0, 0, 0, .2);
    -webkit-transform: translateY(-2px);
    -ms-transform: translateY(-2px);
    transform: translateY(-2px);
}

.btn-circle:active {
    -webkit-box-shadow: .1rem .2rem .4rem rgba(0, 0, 0, .2);
    box-shadow: .1rem .2rem .4rem rgba(0, 0, 0, .2);
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
}


/* SIDE NAVIGATION */

.side-nav {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 11rem;
    z-index: 100;
    opacity: 0;
    visibility: hidden;
    overflow-x: hidden;
    padding-top: 6rem;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
}

.side-nav.side-nav-visible {
    opacity: 1;
    visibility: visible;
}

.side-nav::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    -webkit-transform: scaleX(0);
    -ms-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transform-origin: left;
    -ms-transform-origin: left;
    transform-origin: left;
    background-color: var(--color-gray);
    -webkit-transition: 0.5s;
    -o-transition: 0.8s;
    -o-transition: 0.5s;
    transition: 0.5s;
}

.side-nav.side-nav-visible::before {
    -webkit-transform: scaleX(1);
    -ms-transform: scaleX(1);
    transform: scaleX(1);
}

.side-nav-link {
    display: block;
    width: 100%;
    padding: 1rem 0;
    text-decoration: none;
    text-align: center;
    color: var(--color-white);
    font-size: 1.4rem;
    font-weight: 500;
    position: relative;
    z-index: 10;
}

.side-nav-link:hover {
    text-decoration: none;
}

.side-nav-link.active {
    background-color: var(--color-white);
    color: var(--color-blue);
}

.side-nav-link::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--color-white);
    -webkit-transform: scaleX(0);
    -ms-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transform-origin: right;
    -ms-transform-origin: right;
    transform-origin: right;
    -webkit-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
    z-index: -1;
}

.side-nav-link:hover::before {
    -webkit-transform: scaleX(1);
    -ms-transform: scaleX(1);
    transform: scaleX(1);
}

.side-nav-text {
    text-indent: 0;
}

.side-nav-link:hover .side-nav-text {
    color: var(--color-blue);
    font-weight: 500;
}

.side-nav-icon {
    width: 4rem;
    height: 4rem;
    fill: var(--color-white);
}

.side-nav-link:hover .side-nav-icon,
.side-nav-link.active .side-nav-icon {
    fill: var(--color-blue);
}

.side-nav .btn-close {
    position: absolute;
    top: 0;
    right: 2.5rem;
    margin-left: 5rem;
    text-decoration: none;
    color: var(--color-white);
    font-size: 3.6rem;
    -webkit-transition: all .3s;
    -o-transition: all .3s;
    transition: all .3s;
}

.side-nav .btn-close:hover {
    color: var(--color-white);
    -webkit-transform: scale(1.07);
    -ms-transform: scale(1.07);
    transform: scale(1.07);
}

@media (max-width: 991.98px) {
    .btn-side-nav {
        top: 1rem;
        left: 1rem;
        width: 5.6rem;
        height: 5.6rem;
    }
    .btn-up {
        bottom: 1rem;
        right: 1rem;
    }
}